#include<bits/stdc++.h>
using namespace std;
long long  mod = 998244353;

int  main()
{
    int n, m, k;
    cin >> n >> m >> k;

    if(k == 1)
    {
        long long ans = m;
        for(int i = 0; i < n - 1; i++)
        {
            ans *= m;
            ans %= mod;
        }
        cout << ans << "\n";
        return 0;
    }
    else if(k == 2)
    {
        long long ans = m;
        for(int i = 0; i < n - 1; i++)
        {
            ans *= m;
            ans %= mod;
        }
        //cout << ans << "\n";
        long long ans2 = m;
        for(int i = 0; i < n - 1; i++)
        {
            ans2 *= (m - 1);
            ans2 %= mod;
        }
        ans -= ans2;

        ans += mod;
        cout << ans%mod << "\n";
        return 0;

    }
    if(n == k){
        cout << m << "\n";
    }





    return 0;
}
